- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Modules
Convolutions
ArrayFire Functions by Category » Signal Processing

1D, 2D and 3D convolutions More...

## Modules
| convolve
| Convolution Integral for any dimensional data.
| convolve1
| Convolution Integral for one dimensional data.
| convolve2
| Convolution Integral for two dimensional data.
| convolve3
| Convolution Integral for three dimensional data.
| fftConvolve
| Convolution using Fast Fourier Transform.
| fftConvolve2
| 2D Convolution using Fast Fourier Transform
| fftConvolve3
| 3D Convolution using Fast Fourier Transform

## Detailed Description

1D, 2D and 3D convolutions